Page MenuHomePhabricator

Inserting a new redirect or displaytitle crashes (using unsupported parameter of insertMeta)
Closed, ResolvedPublic1 Story Points

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.31.0-wmf.20Don't try to insertMetas at 0,0, just at 0 now (lest we crash)
mediawiki/extensions/VisualEditor : masterDon't try to insertMetas at 0,0, just at 0 now (lest we crash)

Event Timeline

Jdforrester-WMF triaged this task as High priority.Feb 12 2018, 7:26 PM
Jdforrester-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2018, 7:26 PM

Change 410014 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Don't try to insertMetas at 0,0, just at 0 now (lest we crash)

https://gerrit.wikimedia.org/r/410014

Change 410014 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Don't try to insertMetas at 0,0, just at 0 now (lest we crash)

https://gerrit.wikimedia.org/r/410014

Change 410020 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.20] Don't try to insertMetas at 0,0, just at 0 now (lest we crash)

https://gerrit.wikimedia.org/r/410020

Change 410020 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.20] Don't try to insertMetas at 0,0, just at 0 now (lest we crash)

https://gerrit.wikimedia.org/r/410020

Mentioned in SAL (#wikimedia-operations) [2018-02-13T00:16:41Z] <demon@tin> Synchronized php-1.31.0-wmf.20/extensions/VisualEditor/modules/ve-mw/ui/pages/: T187112 (duration: 00m 56s)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 13 2018, 12:23 AM